> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Service de recommandation pour tenant



## OpenAPI

````yaml /api-reference/simulation-sys.yaml post /v1/advices
openapi: 3.1.0
info:
  title: simulation-api
  description: Api for simulation dependencies
  contact:
    name: Recometrics
    url: https://confluence.datanumia.com/display/NH/Accueil+New+Home
    email: contact@datanumia.com
  version: 4.7.0
servers:
  - url: https://simulation-api.datanumia.com
    variables: {}
security: []
paths:
  /v1/advices:
    post:
      tags:
        - Recommandation
      summary: Service de recommandation pour tenant
      operationId: advices_1
      parameters:
        - name: advices
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - AIR_AIR_HEAT_PUMP_INSTALLATION
                - AIR_WATER_HEAT_PUMP_INSTALLATION
                - HOUSING_JOINERY_INSULATION
                - MECHANICAL_VENTILATION_SYSTEM_INSTALLATION
                - NEXT_BEST_ACTION
                - REPLACE_ELECTRICITY_CONTRACT
                - REPLACE_THERMAL_VEHICLE_WITH_ELECTRIC_VEHICLE
                - ROOF_INSULATION
                - SOLAR_PANEL_INSTALLATION
                - UPGRADE_EVSE
                - WALL_INSULATION
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationParameters'
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CalculationResponse'
components:
  schemas:
    SimulationParameters:
      type: object
      properties:
        input:
          type: object
          additionalProperties:
            type: object
    CalculationResponse:
      type: object
      properties:
        context:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              $ref: '#/components/schemas/Variable'
        advices:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/AdviceDetail'
        ignored:
          type: object
          additionalProperties:
            type: object
    Variable:
      type: object
      properties:
        method:
          type: string
          enum:
            - A_01
            - AAHPBSC_01
            - AAHPNIM_01
            - AAHPSS_01
            - AAHPIE_01
            - AAHPIS_01
            - AAHPIS_02
            - AAHPIS_03
            - AAHPOSC_01
            - AAHPSE_01
            - ACDD_01
            - ADV
            - C_01
            - CA_01
            - CA_02
            - CRC_01
            - ECT_01
            - ECT_02
            - EEVRT_01
            - EEVRTS_01
            - EFSI_01
            - EIMCP_01
            - EITC_01
            - EP_01
            - EQBD_01
            - ESP_01
            - EV_S_01
            - EV_S_02
            - EVE_01
            - EVES_01
            - EVHRP_01
            - EVRB_01
            - EVRT_01
            - EVSEBSC_01
            - EVSEOSC_01
            - EVSEI_01
            - EVSEI_02
            - GP_01
            - HA_01
            - HAT_01
            - HBT_01
            - HC_01
            - HCY_01
            - HEPE_01
            - HEPE_02
            - HHSOT_01
            - HHST_01
            - HIF_01
            - HIWP_01
            - HJHCSR_01
            - HJIE_01
            - HJIS_01
            - HJIS_02
            - HLYEC_01
            - HLYEC_02
            - HLYEC_03
            - HLYGHC_01
            - HLYSASEC_01
            - HLYSASEC_02
            - HLYMP_01
            - HMREL_01
            - HMREW_01
            - HMDT_01
            - HORS_01
            - HP_01
            - HPC_01
            - HPC_02
            - HPCR_01
            - HPCR_02
            - HPE_01
            - HPBSC_01
            - HPHPR_01
            - HPHPR_02
            - HPHPS_01
            - HPHSS_01
            - HPHSS_02
            - HPHST_01
            - HPOSC_01
            - HPIE_01
            - HPIS_01
            - HPIS_02
            - HPIS_03
            - HPPS_01
            - HPREP_01
            - HPSE_01
            - HPSI_01
            - HPSS_01
            - HPYC_01
            - HPYC_02
            - HPYCC_01
            - HPYCCA_01
            - HPYCCE_01
            - HPYCE_01
            - HRR_01
            - HRT_01
            - HSHWPSES_01
            - HSHWPSES_02
            - HSP_01
            - HSPP_01
            - HSPT_01
            - HSPT_02
            - HSPT_03
            - HT_01
            - HTS_01
            - HTV_01
            - HWR_01
            - HWAR_01
            - HYBC_01
            - HYBC_02
            - HYBCC_01
            - HYBCCA_01
            - HYBCCE_01
            - HYBCE_01
            - HYECC_01
            - HYESC_01
            - HYETC_01
            - HYHCC_01
            - HYHCE_01
            - HZC_01
            - IP_01
            - LYGHC_01
            - LYGHC_02
            - LYGHCC_01
            - LYGHCC_02
            - LYGSHWC_01
            - LYGSHWCC_01
            - LYGSHWCC_02
            - LYMP_01
            - MPTS_01
            - MPTS_02
            - MSBY_01
            - MVSIE_01
            - MVSIS_01
            - MVSIS_02
            - MVSIS_03
            - MVST_01
            - MVSTBSC_01
            - MVSTOSC_01
            - MVSTS_01
            - MVSTSI_01
            - MVSTSS_01
            - NBA_AAN_01
            - NBA_E_01
            - NBA_S_01
            - REC_E_01
            - REC_S_01
            - REC_S_02
            - RECBSC_01
            - RECOSC_01
            - RECSE_01
            - RECSI_01
            - RECYMS_01
            - RECYTC_01
            - REC_EVSE_01
            - RIE_01
            - RIM_01
            - RIMBSC_01
            - RIMOSC_01
            - RIMS_01
            - RIMSI_01
            - RIMSS_01
            - RIS_01
            - RIS_02
            - RIS_03
            - RTVWEL_E_01
            - RTVWEVYMS_01
            - RVBC_01
            - S_01
            - SB_01
            - SPBSC_01
            - SBBTC_01
            - SBQ_01
            - SBS_01
            - SBTC_01
            - SI_01
            - SM_01
            - SP_01
            - SPAQ_01
            - SPIE_01
            - SPIS_01
            - SPIS_02
            - SPIS_03
            - SPOSC_01
            - SPMQ_01
            - SPOM_01
            - SPOMS_01
            - SPOMSI_01
            - SPOMSS_01
            - SPQ_01
            - SPQS_01
            - SPQS_02
            - SPQS_03
            - SPQSI_01
            - SPQSS_01
            - SPS_01
            - SPSADEP_01
            - SPSE_01
            - SPSS_01
            - SPTC_01
            - SPTNP_01
            - SPYEP_01
            - SPYETP_01
            - SPYRC_01
            - SPYSEC_01
            - STI_01
            - STI_02
            - TC_01
            - TC_02
            - TC_03
            - TC_04
            - TC_05
            - TCODE_01
            - UEVSE_E_01
            - UEVSE_S_01
            - UEVSE_S_02
            - VCB_01
            - VCBT_01
            - VES_01
            - VFC_01
            - VFCEF_01
            - VTT_01
            - WIE_01
            - WIM_01
            - WIMBSC_01
            - WIMOSC_01
            - WIMS_01
            - WIMSI_01
            - WIMSS_01
            - WIS_01
            - WIS_02
            - WIS_03
            - YAMS_01
            - YCS_01
            - YCS_02
            - YCS_03
            - YES_01
            - YES_02
            - YMEE_01
            - YMS_01
            - YMS_02
            - YMS_03
            - YMSE_01
            - YMSE_02
            - YTDBCBBRT_01
            - YVC_01
            - YVCC_01
            - YVCCT_01
            - YVCT_01
            - YVE_01
            - YVTD_01
        source:
          type: string
          enum:
            - INPUT
            - DEFAULT
            - CALCULATION
        quality:
          type: number
        value:
          type: object
        unit:
          type: string
    AdviceDetail:
      type: object
      properties:
        simulationsAssumptions:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Variable'
        bestSimulation:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Variable'
        otherSimulations:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Variable'
        eligibility:
          type: boolean
        score:
          type: number

````